Subject: bug#5552: 23.1; desktop seems not quite to understand session management

From: Stefan Monnier <[email-masked]>
Date: Mon, 15 Feb 2010 09:11:46 -0500

>> There was a related thread about this a year ago, regarding how Emacs
>> responds to SIGTERM by calling shut_down_emacs rather than kill-emacs:
>> http://lists.gnu.org/archive/html/emacs-devel/2009-01/msg00530.html
>> The thread did not have a clear conclusion, but I'm in favor of changing
>> things to run kill-emacs in such situations.  But I think this is best
>> done after the release, unless someone can come up with a very
>> convincing argument otherwise.
> Then we need to add some parameter or other mean to tell functions in
> kill-emacs-hook that is it not OK to interact with the user.  This is the
> case if the X server closes connection in case of a logout.  Desktop.el
> might in some situations try to ask the user if a desktop file shall
> be used.

Or alternatively use a new hook instead (call it `emacs-exit-hook' maybe),
i.e. pass that parameter via the control flow rather than the data flow.

        Stefan